module YthundythBHLMod

using ..Ahorn, Maple
@mapdef Entity "BHLBadeline" seekerboss(x::Integer, y::Integer)

const placements = Ahorn.PlacementDict(
    "BHLBoss (Ythundyth)" => Ahorn.EntityPlacement(
        seekerboss
    )
)

function Ahorn.selection(entity::seekerboss)
    x, y = Ahorn.position(entity)
    res = Ahorn.Rectangle[Ahorn.getSpriteRectangle(sprite, x, y)]
    return res
end

sprite = "characters/badelineBoss/charge00.png"

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::seekerboss, room::Maple.Room)
    Ahorn.drawSprite(ctx, sprite, 0, 0)

end

end
